Export Test Result Table Detail Progress

Prev Next
Get
/api/v1/Execution/projects/{projectId}/tests/{testId}/results/{batchId}/export-table-detail/{exportKey}

Returns the tabular test result export progress

Security
API Key: x-val-api-token
Header parameter namex-val-api-token

API key needed to access endpoints. Each Validatar user can manage their own set of API keys.

Path parameters
exportKey
stringRequired
projectId
stringRequired
testId
stringRequired
batchId
stringRequired
Responses
200

OK

object
exportKey
string | null

Unique key for export

statusMessage
string | null

Status of export

isCompleted
boolean

Whether the export is complete or not

filename
string | null

Suggested name for file

mimeType
string | null

MimeType of returned file

contentBase64
string | null

Base64 string with file contents

404

Not Found

object
error
string | null